-- MySQL Workbench Synchronization
-- Generated: 2019-12-08 18:06
-- Model: New Model
-- Version: 1.0
-- Project: Name of the project
-- Author: Yoshinori Osone

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

ALTER TABLE `weclikd`.`new_topic`
ADD COLUMN `content_id` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0 AFTER `name`;

ALTER TABLE `weclikd`.`url`
ADD INDEX `fk_url_content_id_idx` (`content_id` ASC);
;

ALTER TABLE `weclikd`.`url`
ADD CONSTRAINT `fk_url_content_id`
  FOREIGN KEY (`content_id`)
  REFERENCES `weclikd`.`content` (`id`)
  ON DELETE CASCADE
  ON UPDATE CASCADE;

INSERT INTO weclikd.db_updates(sql_file) VALUES ('weclikd_update_0003.sql');

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;